[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# RegisterActions

Registers the array of action classes using the specified category name.

## Declaration

Source position: actnlist.pas line 288

`procedure RegisterActions(`
`const CategoryName: string;`
`const AClasses: array of TBasicActionClass;`
`Resource: TComponentClass`
`);`

## Arguments

`CategoryName` |  | Category name for the actions.
`AClasses` |  | Array of action class types registered in the routine.
`Resource` |  | Option resource class type for the actions.

## Description

RegisterActions is a procedure used to register the specified array of action class types. Category contains the category name for the action used to group related actions in an action list. Resource contains the optional class type for a resource used in the action classes.

RegisterActions calls RegisterActionsProc to perform the actions needed to register the action class types. An Exception is raised with the message in SInvalidActionRegistration if The RegisterActionsProc constant has not been assigned.